<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <!-- 连接字符串 -->
  <connectionStrings configSource="App_Config\ConnectionStrings.config" />
  <!-- 系统配置 -->
  <appSettings configSource="App_Config\AppSettings.config" />
  <system.web>
    <pages validateRequest="false" />
    <!-- httpHandlers -->
    <httpHandlers configSource="App_Config\httpHandlers.config" />
    <!-- httpModules -->
    <httpModules configSource="App_Config\httpModules.config" />
    <!--系统默认语言-->
    <globalization culture="zh-CN" uiCulture="zh-CN" />
    <compilation targetFramework="4.5.2" />
    <!-- 上传配置 -->
    <httpRuntime enableVersionHeader="false" maxRequestLength="300000000" executionTimeout="50000" requestValidationMode="2.0" />
    <!-- 上传配置 -->
    <!--RemoteOnly 异常配置-->
    <customErrors mode="RemoteOnly" defaultRedirect="~/App_Config/ErrorPages/GeneralError.htm">
      <!--资源不可用-->
      <error statusCode="403" redirect="~/App_Config/ErrorPages/GeneralError.htm" />
      <!--找不到页面-->
      <error statusCode="404" redirect="~/App_Config/ErrorPages/FileNotFound.htm" />
      <!--异常处理-->
      <error statusCode="500" redirect="~/App_Config/ErrorPages/GeneralError.htm" />
    </customErrors>
    <!--RemoteOnly 异常配置-->
    <!--Cahce 缓存配置 BEGIN-->
    <caching>
      <outputCacheSettings>
        <outputCacheProfiles>
          <!-- Cache_Basic 分钟 -->
          <add name="Cache_Minute_10" duration="1" enabled="true" location="Any" varyByParam="none" varyByCustom="web" varyByHeader="none" />
          <!-- Cache_Basic 小时 -->
          <add name="Cache_Hour_1" duration="1" enabled="true" location="Any" varyByParam="none" varyByCustom="web" varyByHeader="none" />
          <add name="Cache_Hour_6" duration="1" enabled="true" location="Any" varyByParam="none" varyByCustom="web" varyByHeader="none" />
          <!-- Cache_Basic 天 -->
          <add name="Cache_Day_1" duration="1" enabled="true" location="Any" varyByParam="none" varyByCustom="web" varyByHeader="none" />
          <add name="Cache_Day_6" duration="1" enabled="true" location="Any" varyByParam="none" varyByCustom="web" varyByHeader="none" />
          <!-- Cache_Basic 基础缓存 默认1小时 -->
          <add name="Cache_Basic" duration="1" enabled="true" location="Any" varyByParam="none" varyByCustom="web" varyByHeader="none" />
        </outputCacheProfiles>
      </outputCacheSettings>
    </caching>
    <!--Cahce 缓存配置 BEGIN-->
  </system.web>
  <system.webServer>
    <httpProtocol>
      <customHeaders>
        <remove name="X-Powered-By" />
      </customHeaders>
    </httpProtocol>
    <validation validateIntegratedModeConfiguration="false" />
    <modules runAllManagedModulesForAllRequests="true" />
  </system.webServer>
  <!-- 系统DLL文件配置 -->
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Owin.Security" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.1.0" newVersion="3.0.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Owin.Security.OAuth" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.1.0" newVersion="3.0.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Owin.Security.Cookies" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.1.0" newVersion="3.0.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Owin" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.1.0" newVersion="3.0.1.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Optimization" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-1.1.0.0" newVersion="1.1.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="WebGrease" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-1.5.2.14234" newVersion="1.5.2.14234" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Helpers" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Razor" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.WebPages.Razor" publicKeyToken="31bf3856ad364e35" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.0.0.0" newVersion="3.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Web.Mvc" publicKeyToken="31bf3856ad364e35" />
        <bindingRedirect oldVersion="1.0.0.0-5.2.3.0" newVersion="5.2.3.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <!-- 系统DLL文件配置 -->
</configuration>
<!--ProjectGuid: {B37A97DB-44F1-4435-A5BC-F8F7595807D5}-->